Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
pdle

[Hỏi] Lisp thao tác trong 3D

Các bài được khuyến nghị

Doan Van Ha    2.676

vậy bạn thử viết cho mình xin 1 cái thử đc ko?

bài toán đặt ra: vẽ layer có tên W24x18, W12x40 hoặc bất kỳ(khoảng 320 loại , không theo quy luật) , dùng lisp 1 lệnh vẽ đúng thép W trong tiêu chuẩn ASTM ( chiều cao, rông, chiều dày, bán kính cong hàn...) , vẽ 1 lúc nhiều thanh trong không gian và tên khác nhau chỉ mất 5-7s.

Thực ra thì cái này không quá khó đâu. Tôi đã viết lệnh vẽ thép góc này cách đây còn lâu hơn thế.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.652

vậy bạn thử viết cho mình xin 1 cái thử đc ko?

bài toán đặt ra: vẽ layer có tên W24x18, W12x40 hoặc bất kỳ(khoảng 320 loại , không theo quy luật) , dùng lisp 1 lệnh vẽ đúng thép W trong tiêu chuẩn ASTM ( chiều cao, rông, chiều dày, bán kính cong hàn...) , vẽ 1 lúc nhiều thanh trong không gian và tên khác nhau chỉ mất 5-7s.

Tại sao mình lại phải viết cho bạn ? Vì một câu thách thức đó à :D Chẳng phải chuyên ngành của mình, cũng không phải lĩnh vực mình hứng thú, và lý do thì lại càng không.

Mình không đề cập đến vấn đề lisp mà bạn đang nói công phu hay không, mà là vì cách bạn giới thiệu nó không để làm gì cả. Hãy đọc lại tên TOPIC :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hoan2182    836

MẤY cái lisp này mấy anh và chú phòng mình viết cách đây 4 năm rồi, vẽ cả được thép chữ I, L theo tiêu chuẩn Mỹ ASTM, API. vẽ thép ống dàn khoan dầu khí chỉ mất 10s với đúng i thao tác: kích ký hiệu lệnh, chọn layer => xong!!! xem file: ống chiều dày t ở giá cập tàu, ống vỏ mỏng ở phía trên và ống đặc ở phía dưới, file này là vẽ cho vui thôi ^^ http://www.mediafire...4opus77kltz4m3e

- Không biết lisp của anh có mấy bước thao tác???

- Xem hình vẽ của anh thấy kết cấu của nó
gồm các hình trụ tròn đặc có đường tâm, mấy cái hình thép V và I vuông chằn chặn chẳng có bán kính góc lượn gì cả, sao anh lại bảo là theo
tiêu chuẩn ASTM, API???

- Chỉ cần dùng CAD2007 đã có thể vẽ nhanh được hình vẽ của anh, không cần phải dùng lisp! (lệnh Polysolid vẽ được ống tròn, ống vuông; lệnh Cylinder vẽ thép trụ tròn; lệnh Sweep vẽ được hình có mặt cắt ngang bất kỳ không tuân theo qua luật nào)

 

 

 

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
xuanhaoxd    2
- Không biết lisp của anh có mấy bước thao tác???
- Xem hình vẽ của anh thấy kết cấu của nó
gồm các hình trụ tròn đặc có đường tâm, mấy cái hình thép V và I vuông chằn chặn chẳng có bán kính góc lượn gì cả, sao anh lại bảo là theo
tiêu chuẩn ASTM, API???
- Chỉ cần dùng CAD2007 đã có thể vẽ nhanh được hình vẽ của anh, không cần phải dùng lisp! (lệnh Polysolid vẽ được ống tròn, ống vuông; lệnh Cylinder vẽ thép trụ tròn; lệnh Sweep vẽ được hình có mặt cắt ngang bất kỳ không tuân theo qua luật nào)

Tức là thế này, ý em chỉ là cái hình vẽ chỉ là ý nói vẽ được các loại ống khác nhau với lại e bảo là vẽ cho vui mà ,hihi. còn thực tế nếu vẽ một kết cấu nhưu hình với lưu ý là khoảng cách các ống không phải đồng quy (vì đồng quy thì dễ quá ) tại tâm mà mép ống tại các nút đều phải cách nhau một khoảng 50 đến 100mm, và cắt tỉa gọn gàng các đoạn giao nhau như hình vẽ mà dùng từng lệnh như anh bảo thì hết bao lâu, nếu dùng lisp thì khoảng 30 phút là xong đấy anh. tiêc là một số lisp bị mã hóa nên ko biết dc nhiều ^^

@ Doan Van Ha: anh có thể cho em xin lisp vẽ thép hình của anh được không ạ, nếu cần e sẽ trả phí cho anh được không ạ, tại hiên tai đang cần cái này mà bị mã hóa mất, hic có gì a alo xuanhaoxd@gmail.com giúp e với nhé :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hoan2182    836

Trong khi chờ lisp anh thử làm theo cách sau:

- Vẽ các đường tâm có chiều dài bằng chiều dài của ống.

- Vẽ các mặt cắt của ống, không cần phải vuông góc với đường tâm.

- Dùng lệnh Sweep để tạo ống, nếu các ống không đâm vào nhau coi như xong, không cần phải thêm lệnh nào nữa. Nếu các ống chui vào nhau dùng lênh Union quét chọn tất cả các đối tượng cũng nhanh lắm!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

Tức là thế này, ý em chỉ là cái hình vẽ chỉ là ý nói vẽ được các loại ống khác nhau với lại e bảo là vẽ cho vui mà ,hihi. còn thực tế nếu vẽ một kết cấu nhưu hình với lưu ý là khoảng cách các ống không phải đồng quy (vì đồng quy thì dễ quá ) tại tâm mà mép ống tại các nút đều phải cách nhau một khoảng 50 đến 100mm, và cắt tỉa gọn gàng các đoạn giao nhau như hình vẽ mà dùng từng lệnh như anh bảo thì hết bao lâu, nếu dùng lisp thì khoảng 30 phút là xong đấy anh. tiêc là một số lisp bị mã hóa nên ko biết dc nhiều ^^

@ Doan Van Ha: anh có thể cho em xin lisp vẽ thép hình của anh được không ạ, nếu cần e sẽ trả phí cho anh được không ạ, tại hiên tai đang cần cái này mà bị mã hóa mất, hic có gì a alo xuanhaoxd@gmail.com giúp e với nhé :)

Hề hề hề,

Đọc riết rồi chả hiểu bạn này muốn cái chi nữa???

Muốn khoe cái lisp của các anh các chú hay muốn mọi người giúp cho bạn có được cái lisp của các anh các chú ấy???

Nếu muốn khoe thì hãy post cái lisp ấy lên để mọi người có dịp mót. (cho dù chửa chắc đã mót được cái chi vì như bạn nói nó đã được mã hóa gì gì đó rồi.)

Muốn mọi người viết giùm thì hãy post cụ thể cái yêu cầu bạn cần lên.

Có thể cái yêu cầu đó là quá khó thì mọi người sẽ cùng trao đổi để thực hiện, Còn nếu không quá khó thì có thể sẽ nhanh có lisp bạn cần thôi.

Biển học là bao la, chớ có quá tự tin và cũng chả nên tư ti làm gì, nếu muốn hãy chịu khó đi mót thì cũng sẽ từ từ đạt tới cái mình cần thôi mà.

Hề hề hề,....

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
xuanhaoxd    2

Hề hề hề,

Đọc riết rồi chả hiểu bạn này muốn cái chi nữa???

Muốn khoe cái lisp của các anh các chú hay muốn mọi người giúp cho bạn có được cái lisp của các anh các chú ấy???

Nếu muốn khoe thì hãy post cái lisp ấy lên để mọi người có dịp mót. (cho dù chửa chắc đã mót được cái chi vì như bạn nói nó đã được mã hóa gì gì đó rồi.)

Muốn mọi người viết giùm thì hãy post cụ thể cái yêu cầu bạn cần lên.

Có thể cái yêu cầu đó là quá khó thì mọi người sẽ cùng trao đổi để thực hiện, Còn nếu không quá khó thì có thể sẽ nhanh có lisp bạn cần thôi.

Biển học là bao la, chớ có quá tự tin và cũng chả nên tư ti làm gì, nếu muốn hãy chịu khó đi mót thì cũng sẽ từ từ đạt tới cái mình cần thôi mà.

Hề hề hề,....

 

hihi!! cảm ơn những lời của anh phamthanhbinh, thực sự là vừa muốn khoe cái lisp không phải của mình vì thực sự rất hay (nhưng muốn học thì thực sự khó vì chú này cực kỳ ...., dùng hẳn key luôn) , vừa là muốn được các anh giúp để có được vài lisp như vậy vì lisp hiện tại đã hết hạn sử dụng, :),

nếu được các anh giúp đỡ như a thanhbinh nói thì tốt quá, em xin nhờ các a viết hộ em cái lisp là: sau khi vẽ xong các ống rỗng bề dày t giao nhau tại các nút (ống chủ đường kính lớn hơn hoặc bằng các ống nhánh đâm vào), bằng một lệnh hoặc 1 thao tác có thể quét cả kết cấu thì các thanh tự động cắt bỏ phần thừa (kể cả phần ko giao nhau nằm trong phần rỗng của ống chủ ). một cái nữa là nhờ các anh viết giúp em cái lisp vẽ thép chử L hoặc W theo tên layer vd như W24x76 chẳng hạn.

em xin cảm ơn các anh rất nhiều

 

Bạn xuanhaoxd đọc lại nội quy box nhé

Chỉnh sửa theo ketxu
Yêu cầu sai địa chỉ, thiếu rõ ràng

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

Tiếc là phần vẽ thép góc của tôi nó nằm trong 1 chương trình chung cho nhiều vấn đề, đã chuyển qua vlx, trong khi các file lsp và dcl liên quan thì tìm mãi không ra, nên post lên cho bạn cái đơn giản nhất: vẽ tiết diện thép góc theo TCVN. Từ tiết diện này bạn có thể dùng thêm lệnh Sweep để vẽ nó trong không gian như bạn Hoan2182 đã hướng dẫn, hoặc bạn nào rảnh thì có thể giúp bạn viết bằng lisp vậy.

Thân thương!

;Doan Van Ha CADViet.com
;----------	VÏ tiÕt diÖn thÐp gãc chung.
(defun C:VTG()
(setq batdiem (getvar "osmode")) (setvar "cmdecho" 0) (command "undo" "be")
(setq pgoc (getpoint "\nDiem goc thep: "))
(setvar "osmode" 0)
(setq br (getint "\nBe rong thep: "))
(setq bd (getint "\nChieu day thep: "))
(initget "1 2 3 4")
(setq kieu (getkword "\nChon kieu ve: 1/2/3/4 <1>: "))
(if (not kieu) (setq kieu "1"))
(VTG pgoc br bd)
(cond ((= kieu "1") (command "rotate" (entlast) "" pgoc 0))
  	((= kieu "2") (command "rotate" (entlast) "" pgoc 90))
  	((= kieu "3") (command "rotate" (entlast) "" pgoc 180))
  	((= kieu "4") (command "rotate" (entlast) "" pgoc 270)))
(command "undo" "e") (setvar "osmode" batdiem) (setvar "osmode" batdiem) (princ))
;----------	VÏ thÐp gãc.
(defun VTG(pgoc br bd)
(setq bk (BKC br))
(setq p1 (polar pgoc 0 br))
(setq p2 (polar p1 (* 0.75 pi) (* (sqrt 2) bd)))
(setq p3 (polar p2 pi (- br (* 2 bd) bk)))
(setq p4 (polar p3 (* 0.75 pi) (* (sqrt 2) bk)))
(setq p5 (polar p4 (* 0.5  pi) (- br (* 2 bd) bk)))
(setq p6 (polar p5 (* 0.75 pi) (* (sqrt 2) bd)))
(command "pline" pgoc "w" 0 0 p1 "arc" "angle" 90 p2 "line" p3 "arc" "angle" -90 p4 "line" p5 "arc" "angle" 90 p6 "line" pgoc ""))
;-------------------- X¸c ®Þnh b¸n kÝnh cong theo bÒ réng thÐp.
(defun BKC(br)
(cond ((= br 20)  (setq bk 3.5))  ((= br 25)  (setq bk 3.5))  ((= br 28)  (setq bk 4.0))
  	((= br 30)  (setq bk 4.0))  ((= br 32)  (setq bk 4.5))  ((= br 36)  (setq bk 4.5))
  	((= br 40)  (setq bk 5.0))  ((= br 45)  (setq bk 5.0))  ((= br 50)  (setq bk 5.5))
  	((= br 56)  (setq bk 6.0))  ((= br 60)  (setq bk 6.5))  ((= br 63)  (setq bk 7.0))
  	((= br 65)  (setq bk 8.5))  ((= br 70)  (setq bk 8.0))  ((= br 75)  (setq bk 9.0))
  	((= br 80)  (setq bk 9.0))  ((= br 90)  (setq bk 10.0)) ((= br 100) (setq bk 12.0))
  	((= br 110) (setq bk 12.0)) ((= br 120) (setq bk 12.0)) ((= br 125) (setq bk 14.0))
  	((= br 130) (setq bk 12.0)) ((= br 140) (setq bk 14.0)) ((= br 150) (setq bk 14.0))
  	((= br 160) (setq bk 16.0)) ((= br 175) (setq bk 15.0)) ((= br 180) (setq bk 16.0))
  	((= br 200) (setq bk 18.0)) ((= br 220) (setq bk 21.0)) ((= br 250) (setq bk 24.0))))
;-----------------------------------------------------------------------------------------------

  • Vote tăng 3

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
xuanhaoxd    2

Tiếc là phần vẽ thép góc của tôi nó nằm trong 1 chương trình chung cho nhiều vấn đề, đã chuyển qua vlx, trong khi các file lsp và dcl liên quan thì tìm mãi không ra, nên post lên cho bạn cái đơn giản nhất: vẽ tiết diện thép góc theo TCVN. Từ tiết diện này bạn có thể dùng thêm lệnh Sweep để vẽ nó trong không gian như bạn Hoan2182 đã hướng dẫn, hoặc bạn nào rảnh thì có thể giúp bạn viết bằng lisp vậy.

Thân thương!

;----------	VÏ tiÕt diÖn thÐp gãc chung.
(defun C:VTG()
(setq batdiem (getvar "osmode")) (setvar "cmdecho" 0) (command "undo" "be")
(setq pgoc (getpoint "\nDiem goc thep: "))
(setvar "osmode" 0)
(setq br (getint "\nBe rong thep: "))
(setq bd (getint "\nChieu day thep: "))
(initget "1 2 3 4")
(setq kieu (getkword "\nChon kieu ve: 1/2/3/4 <1>: "))
(if (not kieu) (setq kieu "1"))
(VTG pgoc br bd)
(cond ((= kieu "1") (command "rotate" (entlast) "" pgoc 0))
  	((= kieu "2") (command "rotate" (entlast) "" pgoc 90))
  	((= kieu "3") (command "rotate" (entlast) "" pgoc 180))
  	((= kieu "4") (command "rotate" (entlast) "" pgoc 270)))
(command "undo" "e") (setvar "osmode" batdiem) (setvar "osmode" batdiem) (princ))
;----------	VÏ thÐp gãc.
(defun VTG(pgoc br bd)
(setq bk (BKC br))
(setq p1 (polar pgoc 0 br))
(setq p2 (polar p1 (* 0.75 pi) (* (sqrt 2) bd)))
(setq p3 (polar p2 pi (- br (* 2 bd) bk)))
(setq p4 (polar p3 (* 0.75 pi) (* (sqrt 2) bk)))
(setq p5 (polar p4 (* 0.5  pi) (- br (* 2 bd) bk)))
(setq p6 (polar p5 (* 0.75 pi) (* (sqrt 2) bd)))
(command "pline" pgoc "w" 0 0 p1 "arc" "angle" 90 p2 "line" p3 "arc" "angle" -90 p4 "line" p5 "arc" "angle" 90 p6 "line" pgoc ""))
;-------------------- X¸c ®Þnh b¸n kÝnh cong theo bÒ réng thÐp.
(defun BKC(br)
(cond ((= br 20)  (setq bk 3.5))  ((= br 25)  (setq bk 3.5))  ((= br 28)  (setq bk 4.0))
  	((= br 30)  (setq bk 4.0))  ((= br 32)  (setq bk 4.5))  ((= br 36)  (setq bk 4.5))
  	((= br 40)  (setq bk 5.0))  ((= br 45)  (setq bk 5.0))  ((= br 50)  (setq bk 5.5))
  	((= br 56)  (setq bk 6.0))  ((= br 60)  (setq bk 6.5))  ((= br 63)  (setq bk 7.0))
  	((= br 65)  (setq bk 8.5))  ((= br 70)  (setq bk 8.0))  ((= br 75)  (setq bk 9.0))
  	((= br 80)  (setq bk 9.0))  ((= br 90)  (setq bk 10.0)) ((= br 100) (setq bk 12.0))
  	((= br 110) (setq bk 12.0)) ((= br 120) (setq bk 12.0)) ((= br 125) (setq bk 14.0))
  	((= br 130) (setq bk 12.0)) ((= br 140) (setq bk 14.0)) ((= br 150) (setq bk 14.0))
  	((= br 160) (setq bk 16.0)) ((= br 175) (setq bk 15.0)) ((= br 180) (setq bk 16.0))
  	((= br 200) (setq bk 18.0)) ((= br 220) (setq bk 21.0)) ((= br 250) (setq bk 24.0))))
;-----------------------------------------------------------------------------------------------

em cảm ơn anh nhiều nha, trước giờ em vẫn làm như a Hoan2182 bảo nhưng phải làm từng phần tử rồi cắt tỉa từng cái rất mất thời gian,hehe, lisp của a chưa thể dùng nhưng chỉnh sửa một chút và viết thêm một chút cũng có thể giúp em được một ít, thanks a

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
BANGNHAN87    0

Ý tưởng ứng dụng lisp vẽ 3D rất đáng được thưởng lớn, em đã bật đèn xanh (+) cho ý tưởng này.

Với điều kiện anh đã đặt ra:

(-Vẽ một ống hình trụ, điều kiện cho trước là trục ống, bán kính ngoài và bán kính trong của ống

-Vẽ một ống tiết diện vuông, điều kiện cho trước là trục ống, kích thước ngoài của ống và độ dày thành ống)

Lại còn kèm theo cả điều kiện có trục ống nữa chắc chắn là lisp không vẽ nhanh bằng lệnh vẽ thông thường:

Vẽ ống trụ:

-Gõ CYL (vẽ hình trụ đặc) > chọn tâm > nhập R > H > vẽ xong hình trụ to > Enter > chọn tâm > nhập r > không cần nhập H >Enter > vẽ được hình trụ to

-Gõ lệnh SU để trừ khối

Vẽ ống vuông:

- Vẽ hai hình vuông

- Gõ lệnh EXT > Quét chọn cả 2 hình vuông> nhập chiều cao> được luôn 2 hình hộp.

-Gõ lệnh SU để trừ khối

 

Đối với hình trụ đặc vẽ bằng CYL , hình hộp đặc vẽ bằng lệnh BOX có thể kéo co tuỳ thích làm cho nó to, nhỏ, dài ngắn một cách tiện lợi. Hình ống tròn và ống vuông thì lại không thể co kéo được, mà lệnh Stretch lại không can thiệp được với hình 3D.

Từ thực tế trên, căn cứ vào hai cái ống trụ và ống vuông em xin trân trọng kính mời anh Pdle cũng các bác vào diễn đàn tìm cách co kéo làm cho cái ống của anh Pdle nó dài ra và to lên! Rất hân hạnh có sự hiện diện của lisp Stretch3D trên Topic này!

cái lệnh này hay quá! cảm ơn bạn nhiều lắm! bạn biết lệnh nào vẽ co 3D nhanh không bạn?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Hai_YenLang    150

cái lệnh này hay quá! cảm ơn bạn nhiều lắm! bạn biết lệnh nào vẽ co 3D nhanh không bạn?

Vẽ ống trụ và ống vuông như các lệnh trên là chậm, muốn vẽ nhanh phải dùng lệnh PLYSOLID. Cách dùng lệnh này bạn Hoan2182 đã nói trong trang 33, mục đố vui - Mẹo sự sử dụng AutoCAD

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
xuanhaoxd    2

Lệnh sweep mà a hoan2182 đã nói ở trên cũng có thể vẽ 3D rất tốt, không những vẽ được ống tròn, vuông mà vẽ đươc cả tiết diện bất kỳ như chữ I, L hay chữ H,...

Lưu ý là sau khi vẽ tiết diện dùng lệnh region (reg) để đưa về tiết diện là tấm thì khi tạo ra các thanh 3D sẽ tự bắt trục tại trọng tâm của tiết diện. Nếu ko dùng lệnh reg thì sẽ không bắt trục đúng trọng tâm của tiết diện mình tạo ra

Để dùng được lệnh reg cần tạo một miền kín bằng lệnh boundary (bo) hoặc pedit (pe)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

3D thì độ khó chỉ gấp 1.5 lần 2D thôi nhoc ơi!  :lol:  :lol:  :lol:

 

Vâng ạ!  :)  :)  Viết lisp vẽ đường ống 3D, dễ hơn "Quick code cho Haanh đây. Tìm giao của khối 3D và Line, đồng thời Trim phần Line nằm bên trong khối 3D. Lệnh: TR3D P/S: edit 12h05' - 4/11/2013" mà trước đây bác đã viết cho em ở đây:

http://www.cadviet.com/forum/topic/274-do-vui/page-62. Em cám ơn bác nhiều nhiều nhé!

 

@@ , chị Hà anh pit nhoc chỉ làm việc trên 2d thui, mà 2d còn chưa thông hết lấy gì qua 3d ^^, nhìn acc nhoc thì pit mà mới li lv5 :), ghẹo nhoc hoài ^^ 

 

Không ghẹo đâu, em nhờ anh Nhóc viết cho em một cái lisp vẽ đường ống 3D. Nếu anh sợ khó thì "em sẽ nhiệt tình giúp đỡ anh" bằng cách ra đầu bài từ dễ đến khó để anh luyện tay nghề nhé:

Bài 1: Lisp vẽ đường ống theo path là đường 3dpoly được vẽ bất kỳ trong không gian như hình vẽ:

11837_sssa.png

 

Gõ lệnh lisp >>> Chọn đường kính ống >>> Chọn đường 3dpoly >>> ra được khối 06 cái cút + 07 đoạn ống như ảnh trên.

File: http://www.cadviet.com/upfiles/3/11837_new_block_1.dwg

CÚT VẼ THEO TIÊU CHUẨN ĐỨC:

11837_zfasfaa.jpg

 

Xin mời anh Nhóc, anh Hiệp, cùng các bác "Blispge" tham gia thư giãn bằng trò chơi viết lisp cho bà con dân làng Vẽ đường ống!

Trân trọng!

Em: Trần Hà Anh

 

Nói thật là mình đang luyện nên rất "ngứa ngáy" muốn viết lisp,  :D :D :D

Em cảm ơn anh Hiệp nhé!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Hoan1111    694

@ Chị Hà: Theo em, nếu kết quả ra được 2 found ( 1found gồm 6 cái cút + 1 found gồm 7 đoạn ống , có thể EXPLODE thành nhiều found dời dạc giống như khi sử dụng lệnh Array trên AutoCAD2012)  thao tác zoom, pan, và orbit  sẽ dễ hơn và nhanh hơn là việc để nhiều found dời dạc.
 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

@ Chị Hà: Theo em, nếu kết quả ra được 2 found ( 1found gồm 6 cái cút + 1 found gồm 7 đoạn ống , có thể EXPLODE thành nhiều found dời dạc giống như khi sử dụng lệnh Array trên AutoCAD2012)  thao tác zoom, pan, và orbit  sẽ dễ hơn và nhanh hơn là việc để nhiều found dời dạc.

 

@ Hoằn!

Trên diễn đàn, chỉ có Lisp viết cho dân Xây dựng là đại gia và đại tỷ phú thôi! :) :) :)

Lisp viết cho dân Cơ khí và dân Cấp tốc thoát nước, vẫn còn đang đói dài ngày. Không thể xóa đói giảm nghèo bằng cách đi tắt đón đầu như thế được, gặp chỗ lầy lội, dễ bị chết lụt lắm đó!

 

Không ghẹo đâu, em nhờ anh Nhóc viết cho em một cái lisp vẽ đường ống 3D. Nếu anh sợ khó thì "em sẽ nhiệt tình giúp đỡ anh" bằng cách ra đầu bài từ dễ đến khó để anh luyện tay nghề nhé:

Bài 1: Lisp vẽ đường ống 3D, path theo đường 3dpoly được vẽ bất kỳ trong không gian như hình vẽ:

 

11837_sssa.png

 

Gõ lệnh lisp >>> Chọn đường kính ống >>> Chọn đường 3dpoly >>> ra được khối 06 cái cút + 07 đoạn ống như ảnh trên.

File: http://www.cadviet.com/upfiles/3/11837_new_block_1.dwg

CÚT VẼ THEO TIÊU CHUẨN ĐỨC:

11837_zfasfaa.jpg

 

Xin mời anh Nhóc, anh Hiệp, cùng các bác "Blispge" tham gia thư giãn bằng trò chơi viết lisp cho bà con dân làng Vẽ đường ống 3D!

Trân trọng!

Em: Trần Hà Anh

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Doan Van Ha    2.676

Lisp vẽ đường ống như trên không phải là khó, nhưng hơi mất công tí. Nếu mọi người thấy nó thực sự cần thì lúc nào rảnh tôi viết cho.

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nhoclangbat    382

- Chị Hoằn với chị Hà Anh ráng chờ chục năm nữa nhoc sẽ viết 2 bộ chương trình vẽ cho cơ khí, và cấp thoát nước  :P

P/s: nghe nói ngoài Bắc đang có bão ^^

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
haanh    1.587

Lisp vẽ đường ống như trên không phải là khó, nhưng hơi mất công tí. Nếu mọi người thấy nó thực sự cần thì lúc nào rảnh tôi viết cho.

 

Rất cần thiết bác ạ!

Em xin mô tả công việc vẽ đường ống 3D để bác hiểu nội dung công việc:

Cút và ống vẽ theo tiêu chuẩn của Đức hoặc Nhật bản đều có chiều dầy ống. Vẽ 3D đường ống, chỉ cần vẽ ống và cút đặc cho giản tiện. Vì nếu vẽ cả chiều dầy ống thì dung lượng file bản vẽ sẽ tăng lên rất nhiều.

Bước 1: Em vẽ được 6 cái cút + 7 đoạn ống có layer mầu xanh

Bước 2: Em thay đổi layer 6 cái cút thành layer mầu tím

..............................................................................

Bước ... : Em tắt tất cả các layer chỉ còn lại layer đường ống mầu xanh

Bước...: Em dùng lệnh Union để dính các đoạn ống thành một đối tượng >>> Massprop ... để biết được tổng thể tích của các đoạn ống dời dạc >>> Lấy tổng thể tích chia cho diện tích ống >>> Tổng chiều dài đường ống DN50

Bước:...: Em tắt hết tất cả các layer, chỉ để lại layer cút mầu tím >>> Chon đối tượng tất cả các cút > Gõ lênh m trên dòng command sẽ xuất hiện:

Command: m

MOVE 69 found

69 found chính là tổng số lượng cút DN50

Bữa nào rảnh, bác Hà viết lisp cũng được, em cảm ơn bác Hà và cảm ơn anh Nhóc nhiều nhiều nhé! :) :) :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.652

K code được nhưng ket chém góp vui với.

- Viết nó liền tù tì cả cút và đường ống thì chắc code nhanh hơn nhiều so với tách ra từng đoạn ^^

- Chỉ sợ bạn phải làm j đó khác, hoặc nhu cầu phải thế, chứ nếu toàn cút 90 độ thế kia thì đâu có khó ta, cần gì vẽ ra vẫn có kết quả mà.

+ Số cút thì bằng số vertex Polyline - 2 đầu rồi.  (n)

+ Tổng chiều dài ống không tính cút rõ ràng bằng chiều dài cả Polyline - (n x D).

Phải không ta ?? Thấy dễ mà haanh làm nhiều bước thế kia Ket cũng hoang mang k biết mình nhầm chỗ nào k, vì ket dốt hình lắm :(

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Hoan1111    694

@Bác Ketxu: Chị Hà em vẽ hình minh họa hơi bị đặc biệt, thực tế trong hệ thống đường ống, các đoạn ống thẳng thường có chiều dài khác nhau. Sau khi vẽ xong bản vẽ hệ thống thiết bị mới tiến hành thống kê tổng chiều dài ống và số lượng cút

- Viết oẳn tù tì cả cút lẫn ống,  em sợ là không chỉnh sửa được. Bởi trong cả một hệ thống máy móc thiết bị, có rất nhiều phân đoạn ống DN50 chứ không phải là 1 phân đoạn duy nhất. Mỗi phân đoạn lại có nhiều đoạn ống DN50 dài ngắn khác nhau, hướng đi của đường ống ngang dọc lên xuống cũng khác nhau.

- Nếu tất các các phân đoạn đều phải vẽ bằng lệnh 3dpoly rồi mới dùng lisp để đi ống và cút thì sẽ rất mất thời gian. Cách vẽ thông thường là đi được vài phân đoạn ống là đủ để vẽ các phân đoạn tiếp theo >>> Chỉ cần copy phân đoạn đã vẽ sang phân đoạn đang định vẽ rồi chỉnh sửa bằng cách kéo dài hoặc co ngắn bớt các đoạn ống hoặc xóa bớt các đoạn ống hoặc cút sẽ được phân đoạn mới.

- Có trường hợp lôi cả hệ thống thiết bị đường ống cũ ra, rồi chỉnh sửa co kéo thành hệ thống thiết bị mới. Vì nó giống nhau về công suất thiết bị nhưng khác nhau về mặt bằng lắp đặt.

- Khi vẽ xong ống đường phải xóa bỏ  đường 3dpoly để giảm dung lượng

-Với cút thì có thể vẽ được bằng lệnh Extrude hoặc Sweep đều được . Với đoạn ống thẳng nếu vẽ bằng lệnh Extrude hoặc Sweep hoặc Revolve hoặc presspull thì chỉ có thể chỉnh sửa kéo dài hoặc co dãn được 1 đầu hoặc không co kéo được. Do vậy yêu cầu lisp phải vẽ ra được đoạn ống có "cấu hình" như dùng lệnh Cylinder mới dễ dàng co giãn theo hai đầu của đoạn ống:

114276_untitled_9.png

 

Hình ảnh minh họa hệ thống đường ống, bác có thể xem thêm ở đây: http://www.cadviet.com/forum/topic/109825-cach-ve-bo-tri-mat-bang-duong-ong-trong-autocad/page-2

- Cái khó khăn và mất thời gian nhất vẫn  là tỉ lệ giữa chiều cao tâm cút và đường kính ống không phải là hằng số. (Bác xem bảng thống kê chiều cao tâm cút theo tiêu chuẩn Đức và tiêu chuẩn Nhật bản, Đài loan ở trên).

- Trong một hệ thống đường ống thì dùng cả hai loại ống A và ống DN chứ không phải chỉ dùng duy nhất một loại ống DN như chị Hà em đã viết...

Hy vọng một ngày gần đây nhất, Lisp xóa đói giảm nghèo  cho bà con dân làng Cơ khí và Cấp tốc thoát nước sẽ được tung hoành trên khắp mọi miền thân yêu của Tổ Quốc:

Cảm động biết bao

Lisp ta đi khắp mọi miền đất nước!

Từ Lạng Sơn đến Minh Hải thân yêu.

Lisp vượt Trường Sơn sang tận nước Lào

Sang Căm-pu-chia dựng xây tình hữu nghị....

 

(Xin mời anh Nhóc tiếp tục tùy hứng... viết nối tiếp mấy câu thơ viết theo thể thơ tự do của Hoằn)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nhoclangbat    382

" Đến Thailand dẹp yên bạo động

Ra biển đảo đem lại yên bình

Qua China xoá bỏ hận thù, tranh chấp

Vươn tới Mỹ xứng tầm thế giới,

..........."

- Vậy đc rùi bay cao quá hết oxi ^^

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Hoan1111    694

:) :) :) Thơ của anh Nhóc mang tính định hướng và chỉ đạo cao quá, em chi lo vài năm nữa, khi anh  làm sếp lớn, anh sẽ chôn nhời đã hứa với bà con:

 

- Chị Hoằn với chị Hà Anh ráng chờ chục năm nữa nhoc sẽ viết 2 bộ chương trình vẽ cho cơ khí, và cấp thoát nước  :P

P/s: nghe nói ngoài Bắc đang có bão ^^

 

Đêm qua mưa to quá anh Nhóc ơi! Lụt hết cả chợ rồi! ^_^ -_- <_<

Theo quy luật bão thường ghé thăm Bắc bộ vào mùa hạ:

 Hạt gạo làng ta

Có bão tháng bẩy có mưa tháng ba

Giọt mồ hôi sa giữa trưa tháng sáu

Nước như ai nấu chết cả cá cờ

Cua ngoi lên bờ mẹ em xuống cấy…(Thơ Trần Đăng Khoa)

Sang mùa thu bão sẽ di chuyển vào Trung Bộ và Nam bộ.

Có thể nói mùa thu là món đặc sản đầy thi hứng mà thiên nhiên đã ưu ái ban tặng cho miền Bắc :

Trời thu xanh ngắt mấy tầng cao

 Cần trúc lơ phơ gió hắt hiu.

Nước biếc trông như tầng khói phủ,

 Song thưa để mặc bóng trăng vào…(Thơ Nguyễn Khuyến)

Ngày vào tiết Lập Thu : 7/8/2014 , giờ đang là tiết thu phân, sắp đến tiết sương giáng, sao miền bắc lại có bão nhỉ???

Phải chăng chỉ vì sự lầm tưởng chị Hà em đã trêu ghẹo mình mà anh Nhóc đã định hướng và chỉ đạo bão phải quay  trở lại miền Bắc ???

 

Anh Nhóc đã đọc chuyện cổ tích GỌI NẮNG VÀO NAM  của anh cadviet244 chưa???

 

Thơ em viết giữa công trình
Thân tặng anh Cadviet

Ở Sài Gòn có nhiều nắng không anh?
Quê em giờ đang vào mùa nắng hạ
Nắng cháy lên cho thêm xanh mầu lá
Cho da em đen sạm sắc tâm tình

Thơ anh viết vào rạng sáng binh minh
Thơ em viết giữa công trình đầy nắng
Tình cảm em vô tư và trong trắng
Như mây trời miền Bắc nhở nhơ bay
........................................................

Hôm wa đọc những dòng thơ em làm anh thật xúc động và cảm thấy rất vui khi có một người em gái phương xa đã nghỉ tới mình. Và chiều qua tan sở anh cũng có làm một bài thơ để tặng em nhưng kịp post lên, nay post lên cho em nà

Sài gòn ơi! hãy gắt nắng hơn nữa đi
Cho em tôi ngoài trời kia dịu nắng
Đám mây kia xin đừng ham chơi nữa
Hãy đến bên em che nắng dùm tôi

Cảm động sao khi trưa hè nắng cháy
Giữa công trường em nâng bút làm thơ
Nguyện thân này xin làm cơn gió mát
Thổi làn gió cho má em ửng hồng
.......................................................
Sài gòn Ngày 24/06/2009_ Trinhhien244

 


Bài thơ này em chưa biết đặt tên?
Thân tặng anh Cadviet!

Cảm ơn anh đã gọi nắng về Nam
Và xua đuổi mây đen ra miền Bắc
Anh thương em giữa trưa hè nắng gắt
Ra công trình để chụp ảnh, làm thơ

Em không buồn mà em chỉ ước mơ
Có một dịp vào thăm anh Cácviệt
Để nỗi nhớ thôi không còn da diết
Để niềm thương lan toả đến vô cùng

Đọc thơ anh em bỗng thấy rưng rưng
Xúc động quá cảm ơn anh CácViệt
Anh Mr_ Vui làm sao em không biết
Đang yên lành sao lại bán nick đi ???

Đời rộng dài chuyện cũ hãy quên đi
Mở rộng lòng đón ngày mai tươi sáng
Người với người chúng mình đều là bạn
Là anh em là đồng chí – đồng bào...!

Ngày 24 tháng 6 năm Em Trần Hà Anh

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nhoclangbat    382

- chị Hoằn nghĩ sâu xa phết ^^, cái p/s của nhoc ý là nhoc chém gê quá thành bão thui ^^, đọc tin thấy ngoài Bắc đang bão nên nhoc mượn sự kiện ấy mà :)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×